v1.0
get
/ec-auth-svc/rest/v1.0/authusers/{userid}/language
Gets the current language setting for the specified user. This endpoint retrieves the user's preferred language, which is used for localization of UI and communications.
Request
Path Parameters
-
userid(required): string(uuid)
UUID of the target user.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Operation successful. Returns the user's language as a string.
Examples
400 Response
Bad request. Invalid userId or other error.
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@65719c12Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
404 Response
User not found, or language not set.
Examples